mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.AsymmetricSignatureDeformatter System.Runtime.InteropServices.ComVisible(true) You are encouraged to use this class for verifying all DSA signatures to ensure code portability with all DSA implementation. Some DSA implementations, like , provides some helper methods but these methods will limit your code to use this specific class.

Verifies a Digital Signature Algorithm () PKCS#1 v1.5 signature.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Using this constructor is equivalent to the following code: `DSASignatureDeformatter d = new DSASignatureDeformatter (); d.SetKey (dsa);`

  Initializes a new instance of the class with the specified key.

  The instance of Digital Signature Algorithm () that holds the key.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This class only support the hash algorithm. Any name that resolves in another hash algorithm (or anything else) will throw a . This is a restriction of the DSA algorithm (FIPS 186) not of the class library.

  Specifies the hash algorithm for the Digital Signature Algorithm () signature deformatter.

  The name of the hash algorithm to use for the signature deformatter.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Specifies the key to be used for the Digital Signature Algorithm () signature deformatter.

  The instance of that holds the key.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  A will be thrown if a object instance hasn't been set in the constructor or by .

  The hash byte array should always have 20 bytes as only the SHA-1 algorithm is supported.

  The size of the signature, 40 bytes, isn't affected by the length of the public key (512 - 1024 bits).

  Verifies the Digital Signature Algorithm () signature on the data.

  true if the signature is valid for the data; otherwise, false.

  The data signed with . The signature to be verified for .